<!-- Version 1.06 !-->
<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	// Constantes de la page
	// *********************
	// $gcstbaideimage = GEOTOOLS_PLUGIN_DIR_PATH.'/images/question.png';
	// $gcstbaide01 = __('Choose Color', 'geo-tools');
	// $geotoolstrackablebackground = '#81d742';
	
?>

<div class="wrap">

	<h2>
	<?php _e('Geo Tools', 'geo-tools'); ?>	- <?php _e("Settings", 'geo-tools'); ?>
	</h2>
	
	
	<div class="postbox-container" style="min-width:60%;max-width:65%;margin-right:2%;">	

		<!-- Raccourci vers les autres pages -->
		<div>
			<?php include(GEOTOOLS_PLUGIN_DIR . '/includes/geotools-menusoustitre.php');?>
		</div>
	
	<form name="post" action="" method="post" id="post">
		<div>
			<div class="postarea">


				<div class="postbox">
					<h3 class="hndle">&nbsp;<span><?php echo __('Units Trackable', 'geo-tools') ?></span></h3>
					<div class="inside" style="padding:8px">
						<?php 

						$TBunits01	= '';
						$TBunits02	= '';
						
						// Verifie si une unité est selectionnée sinon milles par defaut
						if (empty(get_option('geotools_TBMilles'))) $TBunits01='checked="checked"';
						
						// SI pas vide coche la case de l'unité
						if( get_option('geotools_TBMilles') =='tb-units01') $TBunits01 = 'checked="checked"';
						elseif ( get_option('geotools_TBMilles') =='tb-units02') $TBunits02 = 'checked="checked"';
						?>
						
							<label>
								<input type='radio' name='tb_unit' <?php print $TBunits01?> id="tb_unit_01" value='tb-units01' /> 
								<?php
									echo _e('Milles', 'geo-tools');
								?> 
							</label>
							<label>
								<input type='radio' name='tb_unit' <?php print $TBunits02?> id="tb_unit_02" value='tb-units02' /> 
								<?php
									echo _e('Kilometers', 'geo-tools');
								?>
							</label>
					</div>
				</div>

				<div class="postbox">
					<h3 class="hndle">&nbsp;<span><?php _e('Choose Your Trackable Background', 'geo-tools') ?></span></h3>
					<div class="inside" style="padding:8px">

						<?php
						// Choix des Background
						$TBbackground01	= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/background-01.png';
						$TBbackground02	= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/background-02.png';					
						$TBbackground03	= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/background-03.png';										
						$TBbackground04	= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/background-04.png';					
						$TBbackground05	= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/background-05.png';										
						$TBbackground06	= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/background-06.png';					
							
						$TBback01	= '';
						$TBback02 	= '';
						$TBback03 	= '';
						$TBback04	= '';
						$TBback05 	= '';
						$TBback06 	= '';

						// Verifie si une image de fond est selectionnée sinon prend le fond vide par defaut
						if (empty(get_option('geotools_tb_answer_type'))) $TBback01='checked="checked"';
						
						// SI pas vide coche la case du fond
						if( get_option('geotools_tb_answer_type') =='tb-b01') $TBback01='checked="checked"';
						elseif ( get_option('geotools_tb_answer_type') =='tb-b02') $TBback02 = 'checked="checked"';
						elseif ( get_option('geotools_tb_answer_type') =='tb-b03') $TBback03 = 'checked="checked"';
						elseif ( get_option('geotools_tb_answer_type') =='tb-b04') $TBback04 = 'checked="checked"';
						elseif ( get_option('geotools_tb_answer_type') =='tb-b05') $TBback05 = 'checked="checked"';
						elseif ( get_option('geotools_tb_answer_type') =='tb-b06') $TBback06 = 'checked="checked"';
						
						?>
						
							<label>
								<input 
									type='radio'
									onclick="this.checked ? jQuery('#geotoolscolortrackableconfirm').show() : jQuery('#geotoolscolortrackableconfirm').hide();"									
									name='tb_answer_type' 
									<?php print $TBback01?> 
									id="tb_answer_type_01" 
									value='tb-b01' 
								/> 
								<?php
									echo '<img src="';
									echo $TBbackground01;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<label>
								<input 
									type='radio' 
									onclick="this.checked ? jQuery('#geotoolscolortrackableconfirm').hide() : jQuery('#geotoolscolortrackableconfirm').hide();"																
									name='tb_answer_type' 
									<?php print $TBback02?> 
									id="tb_answer_type_02" 
									value='tb-b02' 
								/> 
								<?php
									echo'<img src="';
									echo $TBbackground02;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<br/>
							<label>
								<input 
									type='radio' 
									onclick="this.checked ? jQuery('#geotoolscolortrackableconfirm').hide() : jQuery('#geotoolscolortrackableconfirm').hide();"																
									name='tb_answer_type' 
									<?php print $TBback03?> 
									id="tb_answer_type_03" 
									value='tb-b03' 
								/> 
								<?php
									echo'<img src="';
									echo $TBbackground03;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<label>
								<input 
									type='radio'
									onclick="this.checked ? jQuery('#geotoolscolortrackableconfirm').hide() : jQuery('#geotoolscolortrackableconfirm').hide();"																
									name='tb_answer_type' 
									<?php print $TBback04?> 
									id="tb_answer_type_04" 
									value='tb-b04' 
								/> 
								<?php
									echo'<img src="';
									echo $TBbackground04;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<br/>
							<label>
								<input 
									type='radio' 
									onclick="this.checked ? jQuery('#geotoolscolortrackableconfirm').hide() : jQuery('#geotoolscolortrackableconfirm').hide();"																
									name='tb_answer_type' 
									<?php print $TBback05?> 
									id="tb_answer_type_05" 
									value='tb-b05' 
								/> 
								<?php
									echo'<img src="';
									echo $TBbackground05;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<label>
								<input 
									type='radio' 
									onclick="this.checked ? jQuery('#geotoolscolortrackableconfirm').hide() : jQuery('#geotoolscolortrackableconfirm').hide();"																									
									name='tb_answer_type' 
									<?php print $TBback06?> 
									id="tb_answer_type_06" 
									value='tb-b06' 
								/> 
								<?php
									echo'<img src="';
									echo $TBbackground06;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<br/>
						<?php
						//echo '<br>';
						//echo __('The copy of the file failed...','geo-tools');
						?>
					</div>
				</div>

				<div id="geotoolscolortrackableconfirm" style="display: <?php echo empty($TBback01) ? 'none' : 'inline';?>"	>
					<div class="postbox" >
					<h3 class="hndle">&nbsp;<span><?php _e('Choose Trackable Background color', 'geo-tools') ?></span></h3>
						<div class="inside" style="padding:8px">
							<?php _e( 'You can choose the background color if you select a plain statbar background.', 'geo-tools' ); ?><br />
							<p>
								<?php
								// Affichage de la couleur deja selectionnée ou de la couleur par défaut
								$Geotoolscolorpickerbackgroundtrackable = get_option('geotools-color-picker-background-trackable');							
								?>
								<input 
									type	="text"
									name 	="geotools-color-picker-background-trackable"		
									value	="<?php if( isset($Geotoolscolorpickerbackgroundtrackable) && $Geotoolscolorpickerbackgroundtrackable!='' ) { echo $Geotoolscolorpickerbackgroundtrackable; } ?>"  
									class	="geotools-color-picker-field"
									id		="geotools-color-picker-field-trackable"
									data-default-color= "#ffffff"
								/>
							</p>
						</div>
					</div>
				</div>	

				
				<div class="postbox">
					<h3 class="hndle">
						<?php 
						echo _e('Choose Your Statbar Background', 'geo-tools');
						?>
					</h3>
					<div class="inside" style="padding:8px">

						<?php
						
						// Choix des Background
						// ********************
						
						$background01	= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background-01.png';
						$background02	= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background-02.png';					
						$background03	= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background-03.png';										
						$background04	= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background-04.png';					
						$background05	= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background-05.png';										
						$background06	= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background-06.png';					
							
						$back00 	= '';
						$back01		= '';
						$back02 	= '';
						$back03 	= '';
						$back04		= '';
						$back05 	= '';
						$back06 	= '';
					
						// Verifie si une image de fond est selectionnée sinon prend le fond vide par defaut
						if (empty(get_option('geotools_statbaranswer_type'))) $back01='checked="checked"';
				
			
						if( get_option('geotools_statbaranswer_type') =='b01') $back01='checked="checked"';
						elseif ( get_option('geotools_statbaranswer_type') =='b02') $back02 = 'checked="checked"';
						elseif ( get_option('geotools_statbaranswer_type') =='b03') $back03 = 'checked="checked"';
						elseif ( get_option('geotools_statbaranswer_type') =='b04') $back04 = 'checked="checked"';
						elseif ( get_option('geotools_statbaranswer_type') =='b05') $back05 = 'checked="checked"';
						elseif ( get_option('geotools_statbaranswer_type') =='b06') $back06 = 'checked="checked"';
						
						?>
						
							<label>
								<input type='radio' name='STanswer_type' <?php print $back01?> id="answer_type_01" value='b01' /> 
								<?php
									echo'<img src="';
									echo $background01;
									echo '" style="border:1px solid black" />';		
								?> 
							</label>
							<label>
								<input type='radio' name='STanswer_type' <?php print $back02?> id="answer_type_02" value='b02' /> 
								<?php
									echo'<img src="';
									echo $background02;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<br/>
							<label>
								<input type='radio' name='STanswer_type' <?php print $back03?> id="answer_type_03" value='b03' /> 
								<?php
									echo'<img src="';
									echo $background03;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<label>
								<input type='radio' name='STanswer_type' <?php print $back04?> id="answer_type_04" value='b04' /> 
								<?php
									echo'<img src="';
									echo $background04;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<br/>
							<label>
								<input type='radio' name='STanswer_type' <?php print $back05?> id="answer_type_05" value='b05' /> 
								<?php
									echo'<img src="';
									echo $background05;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<label>
								<input type='radio' name='STanswer_type' <?php print $back06?> id="answer_type_06" value='b06' /> 
								<?php
									echo'<img src="';
									echo $background06;
									echo '" style="border:1px solid black" />';		
								?>
							</label>
							<br/>
						<?php
						
						//echo '<br>';
						//echo __('The copy of the file failed...','geo-tools');
						
						?>
							
					</div>
				</div>

				<div class="postbox">
					<h3 class="hndle">&nbsp;<span><?php _e('Other settings', 'geo-tools') ?></span></h3>
					<div class="inside" style="padding:8px">
						<p>
							<?php _e('Comming soon !', 'geo-tools') ?>
							
							<?php // echo get_option('geotools_statbaranswer_type') ?>
							<?php // echo get_option('geotools_tb_answer_type') ?>
						</p>
					</div>
				</div>

		<div class="postbox">
			<h3 class="hndle">
				<?php 
				echo _e('Language', 'geo-tools');
				?>
			</h3>
			<div class="inside" style="padding:8px">
				<?php 
				$langue = _e('Language : ','geo-tools');
				$titretest = _e('English','geo-tools');
				?>
			</div>
		</div>

				
				
			<p class="submit">
			<input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
			<span id="autosave"></span>
			<input type="submit" name="submit" value="<?php _e('Save Options', 'geo-tools') ?>"  class="button-primary" />
			</p>
		</div>
	</div>

	<?php wp_nonce_field('geotools_settings_options'); ?>

	</form>

	</div>
	<div id="geotools-sidebar">
			<?php include(GEOTOOLS_PLUGIN_DIR . '/includes/geotools-sidebar.php');?>
	</div>
</div>