<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;
?>

<div class="wrap">

	<!-- Titre en haut de page -->
	<h2>
	<?php _e('Geo Tools Trackable', 'geo-tools'); ?>	- <?php _e('Tutorial', 'geo-tools'); ?>
	</h2>
	
	<div class="postbox-container" style="min-width:60%;max-width:65%;margin-right:2%;">	
	
		<!-- Raccourci vers les autres pages -->
		
		<div>
			<?php include(GEOTOOLS_PLUGIN_DIR . '/includes/geotools-menusoustitre.php');?>
		</div>
		
		<!-- Contenu de la page -->
	
		<?php
	
		global $wpdb;

		// Chargement de images 
		$lienimage = GEOTOOLS_PLUGIN_DIR_PATH . '/images/ENTutorial.png';
		$lienimage1 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/1-16.png';
		$lienimage2 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/2-16.png';
		$lienimage3 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/TB5D0A6tb.png';
	
		echo '<center>';
		echo '<img src="'.$lienimage.'">';
		echo '</center>';
		echo '<br>';
		
		?>
		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage1.'">'.' - '. __('MY TRACKABLE', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<?php 
					echo __('Easy, write directly your trackable number !','geo-tools');
				?>
			</div>
		</div>		
		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage2.'">'.' - '. __('SAVE OPTIONS', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<?php 
					echo __('Saved your new trackable Statbar and look at the result','geo-tools');
					echo '<br>';
					echo '<br>';
					echo '<center>';
					echo '<img src="'.$lienimage3.'" style="border:1px solid black" />';							
					echo '</center>';
				?>
			</div>
		</div>
		<div class="postarea">
			<div class="postbox">
				<h3 class="hndle">&nbsp;<span><?php echo __('Language', 'geo-tools') ?></span></h3>
				<div class="inside" style="padding:8px">
					<?php 
					$titretest = __('English','geo-tools');
					echo __('Language : ','geo-tools').$titretest;
					?>
				</div>
			</div>
		</div>
	
	</div>
	
	<div id="geotools-sidebar">
		<?php include(GEOTOOLS_PLUGIN_DIR . '/includes/geotools-sidebar.php');?>
	</div>
</div>	
