<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;
?>

<div class="wrap">

	<!-- Titre en haut de page -->
	<h2>
	<?php _e('Geo Tools Statbar', 'geo-tools'); ?>	- <?php _e('Tutorial', 'geo-tools'); ?>	
	</h2>
	
	<div class="postbox-container" style="min-width:60%;max-width:65%;margin-right:2%;">	

		<!-- Raccourci vers les autres pages -->
		<div>
			<?php include(GEOTOOLS_PLUGIN_DIR . '/includes/geotools-menusoustitre.php');?>
		</div>
	
	<?php
	
	global $wpdb;

	$lienimage = GEOTOOLS_PLUGIN_DIR_PATH . '/images/StatbarENTutorial.png';
	$lienimage1 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/1-16.png';
	$lienimage2 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/2-16.png';
	$lienimage3 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/3-16.png';
	$lienimage4 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/4-16.png';
	$lienimage41 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/4-1-16.png';
	$lienimage5 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/5-16.png';
	$lienimage51 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/5-1-16.png';
	$lienimage6 = GEOTOOLS_PLUGIN_DIR_PATH . '/images/6-16.png';
	
	echo '<center>';
	echo '<img src="'.$lienimage.'">';
	echo '</center>';
	echo '<br>';
	?>

		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage1.'">'.' - '. __('MY NICKNAME', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<p>
				<?php 
					echo __('Easy, write directly your nickname geocaching !','geo-tools');
				?>
				</p>
			</div>
		</div>
	<?php
	echo '<br>';
	?>	

		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage3.'">'.' - '. __('CHOOSE YOUR AVATAR', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<p>
				<?php 
					echo __('You can choose your avatar between the geocaching logo, the Signal photo, or your own avatar.','geo-tools');
					echo '<BR>';
					echo __('If you choose your own avatar, you will also have to fill boxes 4 and 5.','geo-tools');
				?>
				</p>
			</div>
		</div>
	<?php
	echo '<br>';
	?>
		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage4.'">'.' - '. __('MY AVATAR GUID', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<p>
				<?php 
					echo __('Go to your geocaching profile page to retrieve the GUID of your avatar.','geo-tools');
					echo '<a href="https://www.geocaching.com/account/settings/profile" target="_blank">'.__(' Link to your geocaching profile', 'geo-tools').'</a>';
					echo '<BR>';
					echo '<center><img src="'.$lienimage41.'"></center>';
					echo __('Right-click on your avatar and save the image.','geo-tools');
					echo '<center><img src="'.$lienimage51.'"></center>';
					echo __('In the file name saved above, we will retrieve your GUID underlined in red.','geo-tools');
				?>
				</p>
			</div>
		</div>
	<?php
	echo '<br>';
	?>
		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage5.'">'.' - '. __('CHOOSE YOUR EXTENSION', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<p>
				<?php 
					echo __('In the name of the saved file below, we will retrieve the extension of the file underlined in green.','geo-tools');
					echo '<center><img src="'.$lienimage51.'"></center>';
					echo '<center>'.__('PNG in our example.','geo-tools').'</center>';
					echo '<BR>';
					echo __('Then select the type of extension, PNG-v1, PNG-v2 or JPG depending on the format of your image..','geo-tools');
				?>
				</p>
			</div>
		</div>
	<?php
	echo '<br>';
	?>
		<div class="postbox">
			<h3 class="hndle">
				<span>
					<?php 
						echo '<img src="'.$lienimage6.'">'.' - '. __('SAVE OPTIONS', 'geo-tools');
					?>
				</span>
			</h3>
			<div class="inside" style="padding:8px">
				<p>
				<?php 
					echo __('Saved your new Statbar.','geo-tools');
				?>
				</p>
			</div>
		</div>
	
	</div>
	
	<!-- Affichage Sidebar -->
	<div id="geotools-sidebar">
		<?php include(GEOTOOLS_PLUGIN_DIR . '/includes/geotools-sidebar.php');?>
	</div>
	
</div>	
