<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	function geotools_creation_statbar(){
	
	// Statbar Personnalisé Verturin
	// Version 1.06

	// Recuperation des valeurs du widget statbar
	// ******************************************
	
	// Gestion de la Statbar
	$geotools_codestatbar 					= get_current_user_id();
	$geotools_statbar_geocacheur_nickname 	= trim(get_option('geotools_statbar_geocacheur')); 
	$citations								= trim(get_option('geotools_statbar_Citation'));
	$geotools_statbar_image					= trim(get_option('geotools_statbar_image'));
	$geotools_statbar_guid					= trim(get_option('geotools_statbar_guid'));

	// Gestion du GUID ou recuperation du logo du joueur
	
	// https://s3.amazonaws.com/gs-geo-images/562ab72c-1f6a-4293-92a2-e0936738929a.jpg
	//                                        a96dad95-26da-448e-b007-0d84aa722de1
	$geotols_statbar_guid					= '562ab72c-1f6a-4293-92a2-e0936738929a';
	
	// Chemin d'enregistrement fixes
	// *****************************
	
	$cheminfichiertxtstatbar 	= (GEOTOOLS_PLUGIN_DIR.'/statbar/'.$geotools_codestatbar.'profilstatbar.txt');;
	$cheminimagestatbar			= (GEOTOOLS_PLUGIN_DIR.'/statbar/');
	$cheminimagehstatbar		= (GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/');

	// Chemin vers notre fichier de police ttf
	// ***************************************

	$lienfontarialstatbar		= GEOTOOLS_PLUGIN_DIR.'/fonts/arial.ttf';
	$font_filestatbar 			= $lienfontarialstatbar;

	// Chemin vers les fichiers fixes
	// ******************************

	$lienimagefondstatbar		= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background.png';
	$imagefond					= imagecreatefrompng($lienimagefondstatbar);
	
	// *************************************************
	// Recuperation du code source de la page Project-GC
	// *************************************************

	// Source : https://project-gc.com/ProfileStats/verturin

	// Creation du nouveau fichier profilstatbar.txt pour les Founds
	// *************************************************************

	// On Efface l'ancien fichier profilstatbar.txt 
	// ********************************************

	$fichierprofilstatbar = $cheminimagestatbar.$geotools_codestatbar.'profilstatbar.txt';
	if( file_exists ( $fichierprofilstatbar)) unlink( $fichierprofilstatbar ) ;	

	// Creation du nouveau fichier profilstatbar.txt
	// *********************************************
	
	$urltrackablestatbar = 'https://project-gc.com/ProfileStats/'.$geotools_statbar_geocacheur_nickname;	
	$contenuastatbar = file_get_contents($urltrackablestatbar);
	$contenubstatbar = htmlspecialchars($contenuastatbar);
	$remplacestatbar = array('div', 'lt', 'quot',';','&','$');
	$contenustatbar = strip_tags(str_replace($remplacestatbar, ' ', $contenubstatbar));
	$h = fopen(($cheminimagestatbar.$geotools_codestatbar.'profilstatbar.txt'), "a");
	fwrite($h, $contenustatbar);
	fclose($h);

	// Recherche du nombre de found dans le fichier profilstatbar.txt
	// **************************************************************

	define('FICHIER', ($cheminimagestatbar.$geotools_codestatbar.'profilstatbar.txt'));	

	$mot		= $geotools_statbar_geocacheur_nickname.' has ';
	$motlabs 	= 'including';
	
    $existe = FALSE;
    $existelabs = FALSE;
	
    @ $fp = fopen(FICHIER, 'r') or die('Ouverture en lecture de "' . FICHIER . '" impossible !');

	// Cherche les founds
    while (!feof($fp) && !$existe) {
        $lignefounds = fgets($fp, 1024);
        if (preg_match('|\b' . $mot . '\b|i', $lignefounds)) {			
            $existe = TRUE;
        }
    }
	
	// Cherche les labs
    while (!feof($fp) && !$existelabs) {
        $lignelabs = fgets($fp, 1024);
        if (preg_match('|\b' . $motlabs . '\b|i', $lignelabs)) {			
            $existelabs = TRUE;
        }
    }
	
    fclose($fp);
	
	// Récupère la valeur des Founds et des Labs
	// Pad de trace des Hides sur le page project-gc
	// *********************************************
	
	$founds = strip_tags($lignefounds);
	$foundlabs = strip_tags($lignelabs);
	
	$foundsnombrefounds = strrev(strstr((strrev(trim(strstr($founds,' finds',true)))),' ',true));
	$foundsnombrelabs = strrev(strstr((strrev(trim(strstr($foundlabs,' lab',true)))),' ',true));

	// Si pas de Labs affiche 0 sinon affiche la valeur
	
	$conta = substr_count($lignelabs ,'including');

	if($conta == 1)
		{
		$foundsnombrelabs = strrev(strstr((strrev(trim(strstr($foundlabs,' lab',true)))),' ',true));
		$statistiques = 'Founds : '.$foundsnombrefounds.' / Labs : '.$foundsnombrelabs;
		}
		else
		{
		// Si 0 ou si non premium ne saffiche pas 	
		$foundsnombrelabs = '0';
		//$statistiques = 'Founds : '.$foundsnombrefounds.' / Lab : '.$foundsnombrelabs;	
		$statistiques = 'Founds : '.$foundsnombrefounds;				
		}


	// ********************
	// Creation de l'avatar
	// ********************

	switch($geotools_statbar_image){
	case '1':
		// Avatar GC
		$lienimageavatar1		= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/01-avatar-gc.jpg';		
		$statbaravatar			= imagecreatefromjpeg($lienimageavatar1);
	break;
	case '2':
		// Avatar signal
		$lienimageavatar2		= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/02-avatar-signal.jpg';
		$statbaravatar			= imagecreatefromjpeg($lienimageavatar2);
	break;
	case '3':
		// Avatar du joueur
		// Recuperation de l'image du joueur avec son guid

		// Verifie si le fichier existe deja et le cree si besoin
		// ******************************************************
		if (!file_exists($geotools_statbar_guid.'.jpg') || filemtime($geotools_statbar_guid.'.jpg') < (time()-86400)) 
			{
			// Recupere l'image 
			$geotoolslienimageguid 			= 'https://s3.amazonaws.com/gs-geo-images/'.$geotools_statbar_guid.'_a.jpg';
			// Enregistrement de l'image
			$cheminfichierimageavatar 	= (GEOTOOLS_PLUGIN_DIR.'/statbar/'.$geotools_statbar_guid.'.jpg');
			file_put_contents($cheminfichierimageavatar, file_get_contents($geotoolslienimageguid));
			}
		
		$lienimageavatar3				= (GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/'.$geotools_statbar_guid.'.jpg');
		$statbaravatar					= imagecreatefromjpeg($lienimageavatar3);		
		
	break;
	case '4':
		// Avatar GSAK
		$lienimageavatar4		= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/04-avatar-gsak.jpg';
		$statbaravatar			= imagecreatefromjpeg($lienimageavatar4);
	break;
	case '5':
		// Avatar Wherigo
		$lienimageavatar5		= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/05-avatar-wherigo.jpg';
		$statbaravatar			= imagecreatefromjpeg($lienimageavatar5);
	break;
	}

	// *********************************
	// Tout OK en dessous de ces lignes
	// *********************************
	
	// Position de l'avatar sur l'image finalstatbare par rapport a angle Haut Gauche
	// Largeur Image imagefondstatbar : 200 pixels
	// Hauteur Image imagefondstatbar :  50 pixels

	$positionx = 1;
	$positiony = 1;

	// Calcul de la taille de l'image sur laquelle, on va placer le logo
	$largeurimagefond = imagesx($imagefond);
	$hauteurimagefond = imagesy($imagefond);
 
	//Calcul de l'image du logo
	$largeurW = imagesx($statbaravatar);
	$hauteurW = imagesy($statbaravatar);


	// Si l'image source est plus large que celle du avatar, on effectue la mise en place du avatar
	if($largeurimagefond > $largeurW)
	{

	# Création de l'image imagefondstatbar aux dimensions de l'image qui va accueillir le avatar
	$imagefondstatbar     = imagecreatetruecolor($largeurimagefond,$hauteurimagefond);

	# configuration du canal alpha pour le avatar
	imagealphablending($statbaravatar,false);
	imagesavealpha($statbaravatar,true);

	# Création de l'image imagefondstatbar
	imagecopyresampled($imagefondstatbar,$imagefond,0,0,0,0,$largeurimagefond,$hauteurimagefond,$largeurimagefond,$hauteurimagefond);


	# Ajout du watermark

	// Couleur du Texte
	$text_colorstatbar = imagecolorallocate($imagefondstatbar, 0, 0, 0); //blacky
	$text_taillestatbar = 8;

	// Ajout du texte au dessus des stats
	imagefttext($imagefondstatbar, $text_taillestatbar, 0, 54, 13, $text_colorstatbar, $font_filestatbar, $geotools_statbar_geocacheur_nickname);
	// Ajout du texte au dessous des stats
	imagefttext($imagefondstatbar, $text_taillestatbar, 0, 54, 29, $text_colorstatbar, $font_filestatbar, $statistiques);
	// Ajout du texte au dessous des stats
	imagefttext($imagefondstatbar, $text_taillestatbar, 0, 54, 46, $text_colorstatbar, $font_filestatbar, $citations);

	// Compilation des images
	// icones 32x32 devient 48x48
	imagecopyresampled($imagefondstatbar,$statbaravatar,$positionx,$positiony,0,0,48,48,$largeurW,$hauteurW);

	// Enregistrement de l'image finalstatbar
	// **************************************

	$lienimagefinal		= GEOTOOLS_PLUGIN_DIR.'/statbar/'.$geotools_statbar_geocacheur_nickname.'statbar.png';		
	imagepng($imagefondstatbar,$lienimagefinal); //enregistre l'image 
	}
	}
?>